Linux premium71.web-hosting.com 4.18.0-513.11.1.lve.el8.x86_64 #1 SMP Thu Jan 18 16:21:02 UTC 2024 x86_64
LiteSpeed
Server IP : 198.187.29.8 & Your IP : 3.16.24.18
Domains :
Cant Read [ /etc/named.conf ]
User : cleahvkv
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
lib /
node_modules /
npm /
node_modules /
libnpx /
Delete
Unzip
Name
Size
Permission
Date
Action
locales
[ DIR ]
drwxr-xr-x
2024-03-03 22:36
CHANGELOG.md
27.48
KB
-rw-r--r--
2021-03-10 14:36
LICENSE.md
755
B
-rw-r--r--
2021-03-10 14:36
README.md
6.31
KB
-rw-r--r--
2021-03-10 14:36
auto-fallback.js
1.51
KB
-rw-r--r--
2021-03-10 14:36
child.js
2.2
KB
-rw-r--r--
2021-03-10 14:36
get-prefix.js
1.23
KB
-rw-r--r--
2021-03-10 14:36
index.js
12.62
KB
-rw-r--r--
2021-03-10 14:36
libnpx.1
6.7
KB
-rw-r--r--
2021-03-10 14:36
package.json
2.59
KB
-rw-r--r--
2021-03-10 14:36
parse-args.js
7.1
KB
-rw-r--r--
2021-03-10 14:36
util.js
390
B
-rw-r--r--
2021-03-10 14:36
y.js
490
B
-rw-r--r--
2021-03-10 14:36
Save
Rename
'use strict' const Y = require('./y.js') function mkPosix (opts) { return ` command_not_found_${opts.isBash ? 'handle' : 'handler'}() { # Do not run within a pipe if test ! -t 1; then >&2 echo "${Y`command not found: ${'$1'}`}" return 127 fi if which npx > /dev/null; then echo "${Y`${'$1'} not found. Trying with npx...`}" >&2 else return 127 fi if ! [[ $1 =~ @ ]]; then npx --no-install "$@" else npx "$@" fi return $? }` } function mkFish (opts) { return ` function __fish_command_not_found_on_interactive --on-event fish_prompt functions --erase __fish_command_not_found_handler functions --erase __fish_command_not_found_setup function __fish_command_not_found_handler --on-event fish_command_not_found if which npx > /dev/null echo "${Y`${'$argv[1]'} not found. Trying with npx...`}" >&2 else return 127 end if string match -q -r @ $argv[1] npx $argv else npx --no-install $argv end end functions --erase __fish_command_not_found_on_interactive end` } module.exports = autoFallback function autoFallback (shell, fromEnv, opts) { if (shell.includes('bash')) { return mkPosix({isBash: true, install: opts.install}) } if (shell.includes('zsh')) { return mkPosix({isBash: false, install: opts.install}) } if (shell.includes('fish')) { return mkFish(opts) } if (fromEnv) { return autoFallback(fromEnv, null, opts) } console.error(Y`Only Bash, Zsh, and Fish shells are supported :(`) }